import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
//import java.awt.Color;

/**
 * A bit of empty space for bubbles to float in.
 * 
 * @author Michael Kölling
 * @version 1.0
 */
public class Space extends World
{
    /**
     * Create Space. Make it black.
     */
    public Space()
    {
        super(900, 600, 1);
        getBackground().setColor(Color.BLACK);
        getBackground().fill();
    
        
    }
    private void setup()//6.28
    {
        for(int x=1; x<18; x++)//6.33
        {
            addObject(new Bubble(10*x, 10*x),300+40*x,100);
        }
    }
    private void diagonal()
    {
        for(int i=0; i<21; i++)//6.29
        {
            addObject(new Bubble(),i*30,i*30);//6.31
            addObject(new Bubble(),i*60,i*30);//6.32
            
        }
    }
    private void random()
    {
        for(int i=0; i<21; i++)//6.33
         {
             addObject(new Bubble(),Greenfoot.getRandomNumber(900),Greenfoot.getRandomNumber(600));
          }
    }
    private void center()
    {
               for(int x=1; x<18; x++)//6.34
        {
            addObject(new Bubble(190-10*x, x+20),450,300);
        }
    }
  public void act()
  {
          if(Greenfoot.isKeyDown("a")==true){
        setup();
    }
    if(Greenfoot.isKeyDown("s")==true)
    {
        diagonal();
    }
    if(Greenfoot.isKeyDown("d")==true){
        random();
    }
    if(Greenfoot.isKeyDown("f")==true){
        center();
    }
    
    }
}

